> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update a webhook

PUT https://api.propexo.com/v1/webhooks/{webhook_id}
Content-Type: application/json

Update a webhook

Reference: https://docs.propexo.com/api-reference/configuration-ap-is/webhooks-configuration/update-a-webhook

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `webhook_id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_webhooks_{webhook_id}_put_input.

- `url` (string, optional) — The url to send the webhook to
- `headers` (list of V1WebhooksWebhookIdPutInputHeadersItems, optional) — Optional headers to send with the webhook
- `active` (boolean, optional) — Whether the webhook is active
- `secret` (string, optional) — The secret to use to sign the webhook payload.
- `triggers` (list of enum, optional) — The events that will trigger the webhook
  - Allowed values: `DATA_UPDATE`, `DATA_NEW`, `JOB_FAILURE`, `JOB_SUCCESS`, `SYNC_COMPLETE`, `FIRST_SYNC_COMPLETE`, `WRITE_OPERATION_FAILURE`
- `model` (enum, optional) — The model for the webhook trigger to monitor. Only applies to DATA_UPDATE and DATA_NEW triggers
  - Allowed values: `accounting_entities`, `address_types`, `amenities`, `ap_codes`, `ap_codes_to_construction_job`, `applicant_pets`, `applicants`, `applicants_to_applications`, `applicants_to_events`, `applicants_to_rentable_items`, `application_statuses`, `applications`, `call_logs`, `charge_code_types`, `charge_code_types_to_charge_timings`, `charge_codes`, `charge_timings`, `concessions`, `construction_job_details`, `construction_jobs`, `contract_details`, `contracts`, `crm_agents`, `crm_amenities`, `crm_attributions`, `crm_communities`, `crm_communities_to_agents`, `crm_communities_to_attributions`, `crm_events`, `crm_listings`, `crm_pet_policies`, `crm_prospects`, `deposit_summaries`, `deposits`, `employees`, `entrata_lease_periods`, `entrata_unit_types`, `entrata_vendor_locations`, `event_results`, `event_results_to_event_types`, `event_sub_types`, `event_types`, `events`, `fees`, `file_types`, `financial_accounts`, `floor_plans`, `integration_configuration_meta_data`, `inventory_items`, `invoice_items`, `invoices`, `lead_pets`, `lead_relationships`, `lead_sources`, `leads`, `leads_to_events`, `leads_to_rentable_items`, `lease_services`, `lease_transfers`, `leases`, `listings`, `locations`, `note_categories`, `owners`, `owners_to_properties`, `payable_register_items`, `payable_registers`, `pet_types`, `properties`, `property_lists`, `property_lists_to_properties`, `property_office_hours`, `purchase_order_items`, `purchase_order_items_to_invoices`, `purchase_orders`, `recurring_resident_charges`, `rentable_item_assignments`, `rentable_items`, `rentvine_application_templates`, `resident_allocations`, `resident_charges`, `resident_insurance`, `resident_payments`, `resident_pets`, `resident_vehicles`, `residents`, `residents_to_events`, `residents_to_leases`, `residents_to_rentable_items`, `screenings`, `service_request_access_contacts`, `service_request_categories`, `service_request_locations`, `service_request_notes`, `service_request_priorities`, `service_request_problems`, `service_request_statuses`, `service_request_vendor_categories`, `service_request_vendor_contacts`, `service_request_vendors`, `service_request_vendors_insurance`, `service_request_vendors_to_properties`, `service_requests`, `service_requests_to_employees`, `service_requests_to_vendors`, `timezones`, `transactions`, `unit_details`, `unit_pricing`, `units`, `units_to_amenity`, `vendor_insurance_coverage_types`, `vendor_insurance_policy_types`, `vendor_payment_types`

## Response

### 200

Successful response

- `result` (V1WebhooksWebhookIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1WebhooksWebhookIdPutInputHeadersItems

- `header` (string, required)
- `value` (string, required)

### V1WebhooksWebhookIdPutOutputResult

- `id` (string, required) — The unique identifier for the webhook
- `created_at` (string, required) — The date the webhook was created
- `updated_at` (string, required) — The date the webhook was last updated
- `url` (string, required) — The url to send the webhook to
- `headers` (list of V1WebhooksWebhookIdPutOutputResultHeadersItems, required, nullable)
- `active` (boolean, required) — The status of the webhook
- `secret` (string, required) — The secret used to sign the webhook
- `system` (enum, required) — The environment in which the webhook runs
  - Allowed values: `PRODUCTION`, `SANDBOX`
- `triggers` (list of V1WebhooksWebhookIdPutOutputResultTriggersItems, optional)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1WebhooksWebhookIdPutOutputResultHeadersItems

- `header` (string, required)
- `value` (string, required)

### V1WebhooksWebhookIdPutOutputResultTriggersItems

- `id` (string, required) — The ID of the trigger
- `trigger` (string, required) — The name of the trigger
- `model` (string, required, nullable) — The model that triggers the webhook

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "result": {
    "id": "string",
    "created_at": "string",
    "updated_at": "string",
    "url": "string",
    "headers": [
      {
        "header": "string",
        "value": "string"
      }
    ],
    "active": true,
    "secret": "string",
    "system": "PRODUCTION",
    "triggers": [
      {
        "id": "string",
        "trigger": "string",
        "model": "string"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/webhooks/webhook_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/webhooks/webhook_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/webhooks/webhook_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/webhooks/webhook_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/webhooks/webhook_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/webhooks/webhook_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/webhooks/webhook_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/webhooks/webhook_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```